Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fo.properties
Class CharacterProperty

    java.lang.Object
      org.apache.fop.fo.properties.Property
          org.apache.fop.fo.properties.CharacterProperty

public final class CharacterProperty
extends Property

Superclass for properties that wrap a character value

Nested Class Summary
`static class` | `CharacterProperty.Maker` Inner class for creating instances of CharacterProperty

Field Summary

Fields inherited from class org.apache.fop.fo.properties.Property
`log`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`char` | `getCharacter()` This method expects to be overridden by subclasses
`static CharacterProperty` | `getInstance(char character)`
`java.lang.Object` | `getObject()` This method expects to be overridden by subclasses
`java.lang.String` | `getString()` This method expects to be overridden by subclasses.
`int` | `hashCode()`

Methods inherited from class org.apache.fop.fo.properties.Property
`getColor, getCondLength, getEnum, getKeep, getLength, getLengthPair, getLengthRange, getList, getNCname, getNumber, getNumeric, getSpace, getSpecifiedValue, isAuto, setSpecifiedValue, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### getInstance

    public static CharacterProperty getInstance(char character)

### getObject

    public java.lang.Object getObject()

  Description copied from class: `Property`
  This method expects to be overridden by subclasses

  Overrides:
    `getObject` in class `Property`
  Returns:
    this.character cast as an Object

### getCharacter

    public char getCharacter()

  Description copied from class: `Property`
  This method expects to be overridden by subclasses

  Overrides:
    `getCharacter` in class `Property`
  Returns:
    this.character

### getString

    public java.lang.String getString()

  Description copied from class: `Property`
  This method expects to be overridden by subclasses.

  Overrides:
    `getString` in class `Property`
  Returns:
    this.character cast as a String

### equals

    public boolean equals(java.lang.Object obj)

### hashCode

    public int hashCode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.